# Fonts

All of your fonts *- google & custom -* can be retrieved from the `GET /fonts` route.

## Get fonts

> Retrieve all of your fonts (custom & google fonts)

```json
{"openapi":"3.0.3","info":{"title":"API Reference - Abyssale","version":"0.0.1"},"tags":[{"name":"Fonts"}],"servers":[{"url":"https://api.abyssale.com","description":"Main Production Server"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"description":"All of your Abyssale requests must contain a `x-api-key header` with your API Key.","type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"Font":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Font unique ID, this parameter can be used to force a specific font on a text or a button element."},"name":{"type":"string","description":"The font name"},"available_weights":{"type":"array","items":{"oneOf":[{"type":"number","enum":[100,200,300,400,500,600,700,800,900]},{"type":"string","enum":["100-italic","200-italic","300-italic","400-italic","500-italic","600-italic","700-italic","800-italic","900-italic"]}],"description":"The list of weights supported by this font"}},"type":{"type":"string","enum":["google","custom"],"description":"Either `google` for the Google fonts or `custom` for your uploaded fonts."}},"required":["id","name","available_weights","type"]}}},"paths":{"/fonts":{"get":{"tags":["Fonts"],"summary":"Get fonts","description":"Retrieve all of your fonts (custom & google fonts)","responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Font"}}}}}}}}}}
```

{% tabs %}
{% tab title="cURL" %}

```
curl -H "x-api-key: {YOUR-API-KEY}" -H "Content-Type: application/json" https://api.abyssale.com/fonts
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const axios = require('axios');

axios.get("https://api.abyssale.com/fonts", {headers: {"x-api-key": "{YOUR-API-KEY}", "Content-Type": "application/json", "timeout": 30000}}).then(response => {
    console.log(response.data)
})
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

r = requests.get("https://api.abyssale.com/fonts", headers={"x-api-key": "{YOUR-API-KEY}", "Content-Type": "application/json"}, timeout=30)
r.json()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.abyssale.com/rest-api/fonts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
